# Description

## A mod that allows you to change aspects about the day and night within the game. Optionally, freeze time at a specific time of day.

`This mod uses a file watcher. If the configuration file is not changed with BepInEx Configuration manager, but changed in the file directly, upon file save, it will reflect your changes.`


---

The config file is generated after booting the game with the mod once. You can find it in BepInEx/config/Azumatt.DayAndNight.cfg
I do recommend using the [ConfigurationManager](https://thunderstore.io/c/sunkenland/p/Azumatt/BepInEx_ConfigurationManager/) to change this key bind and other values live while you're in-game.


### Additional Information:

- If you wish to have the day forced on other players, you might have to toggle the Freeze Time option for their client to update when changing the settings live.
- Recommended to only be installed on the host machine, not tested with multiple people having the mod installed.
---

**Day, Night, and Cycle Length Modifiers: Control The Passage of Time In Your Game**

These settings allow you to tweak the length of day and night cycles in your game to suit your preferences or create new challenges. Here’s how each setting works:

1. **Day Modifier**:
   - This setting adjusts the length of the in-game daytime.
   - Setting it to 1 keeps the day length normal.
   - A setting of 2 doubles the length of the daytime, making days last twice as long.
   - A setting of 0.5 halves the daytime length, making days pass twice as fast.
   - If set to -1, the day length reverts to the game's default setting.

2. **Night Modifier**:
   - This setting adjusts the length of the in-game nighttime.
   - Setting it to 1 keeps the night length normal.
   - A setting of 2 doubles the length of the nighttime, making nights last twice as long.
   - A setting of 0.5 halves the nighttime length, making nights pass twice as fast.
   - If set to -1, the night length reverts to the game's default setting.

3. **Cycle Length In Minutes**:
   - This setting adjusts the total length of a full day-night cycle in real-time minutes.
   - For instance, setting it to 10 makes a full day-night cycle last 10 minutes in real time.
   - If set to -1, the cycle length reverts to the game's default setting, which is 5 minutes.

These modifiers provide a simple way to control the pace of your game. Whether you want longer days to explore, longer nights to increase the challenge, or faster cycles for a quicker gameplay experience, these settings put the control in your hands.

---


<details>
<summary><b>Installation Instructions</b></summary>

***You must have BepInEx installed correctly! I can not stress this enough.***

### Manual Installation

`Note: (Manual installation is likely how you have to do this on a server, make sure BepInEx is installed on the server correctly)`

1. **Download the latest release of BepInEx.**
2. **Extract the contents of the zip file to your game's root folder.**
3. **Download the latest release of DayAndNight from Thunderstore.io.**
4. **Extract the contents of the zip file to the `BepInEx/plugins` folder.**
5. **Launch the game.**

### Installation through r2modman or Thunderstore Mod Manager

1. **Install [r2modman](https://valheim.thunderstore.io/package/ebkr/r2modman/)
   or [Thunderstore Mod Manager](https://www.overwolf.com/app/Thunderstore-Thunderstore_Mod_Manager).**

   > For r2modman, you can also install it through the Thunderstore site.
   ![](https://i.imgur.com/s4X4rEs.png "r2modman Download")

   > For Thunderstore Mod Manager, you can also install it through the Overwolf app store
   ![](https://i.imgur.com/HQLZFp4.png "Thunderstore Mod Manager Download")
2. **Open the Mod Manager and search for "DayAndNight" under the Online
   tab. `Note: You can also search for "Azumatt" to find all my mods.`**

   `The image below shows VikingShip as an example, but it was easier to reuse the image.`

   ![](https://i.imgur.com/5CR5XKu.png)

3. **Click the Download button to install the mod.**
4. **Launch the game.**

</details>

<br>
<br>

`Feel free to reach out to me on discord if you need manual download assistance.`

# Author Information

### Azumatt

`DISCORD:` Azumatt#2625

`STEAM:` https://steamcommunity.com/id/azumatt/

For Questions or Comments, find me in the Odin Plus Team Discord or in mine:

[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.gg/Pb6bVMnFb2)
<a href="https://discord.gg/pdHgy6Bsng"><img src="https://i.imgur.com/Xlcbmm9.png" href="https://discord.gg/pdHgy6Bsng" width="175" height="175"></a>